## org.apache.taglibs.standard.tag.rt.xml
Class ExprTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.xml.ExprSupport
              org.apache.taglibs.standard.tag.rt.xml.ExprTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

    public class ExprTag

extends ExprSupport

A handler for <out> that supports rtexprvalue-based attributes.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.xml.ExprSupport
`escapeXml`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ExprTag()`

Method Summary
`void` `setEscapeXml(boolean escapeXml)`

Methods inherited from class org.apache.taglibs.standard.tag.common.xml.ExprSupport
`doStartTag, release, setSelect`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExprTag

    public ExprTag()

Method Detail

### setEscapeXml

    public void setEscapeXml(boolean escapeXml)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.